Skip to main content
POST
Generate preview package synchronously

Authorizations

Authorization
string
header
required

IDM-issued JWT. Obtain via the IDM authentication flow and pass as: Bearer

Headers

X-ActionId
string
default:""

A logging ID of the request. It is propagated through Phrase systems, making it easier to connect logs from various services. If no ActionId is sent with a request, one will be generated by Bifrost and returned with the response.

X-ResponseType
enum<string>
default:ID

Specify if the response should contain the processed object itself in an application/octet-stream body, or a application/json body with an ID that can be then used to retrieve the object using a /load-content endpoint. Note that for larger files (> 1 MB), it is advised to use the ID option which is also default. (ID => JSON with storageId of the zip package, OBJECT => the zip package as binary stream).

Available options:
ID,
OBJECT

Body

application/json

Request body for generating the preview package of one Document360 article. The preview shows the article in the project's default language; there is no locale.

credentials
object
required

Connection holding the Document360 API key and host.

path
object
required

The article to preview (ARTICLE with projectId and articleId). Any other path type is rejected with 400.

configuration
object

Document360 settings; may be omitted (connector defaults apply).

Example:
{key}
any

Response

OK — the preview package (zip) as a binary stream (returned when X-ResponseType=OBJECT).

The response is of type file.